/*
 * MMXGst.h
 *
 *  Created on: Aug 20, 2013
 *      Author: mmxbuild
 */

#ifndef MMXGST_H_
#define MMXGST_H_

#include <string>
#include <vector>
#include "MMXGstStream.h"

class MMXGst {
private:
	std::string cmdLine;
	std::string name;
	bool running;
	MMXGstStream* stream;
public:
	MMXGst(std::string name);
	void start();
	void stop();
	void handleCommand(std::vector<std::string> &tokens);
	void play(std::vector<std::string> &tokens);
	void setup(std::vector<std::string> &tokens);
	virtual ~MMXGst();
};

#endif /* MMXGST_H_ */
